<settings xmlns="http://maven.apache.org/SETTINGS/1.0.0"
          xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
          xsi:schemaLocation="http://maven.apache.org/SETTINGS/1.0.0
                              https://maven.apache.org/xsd/settings-1.0.0.xsd">
  <!-- 
  Configured in docker-container with mappend volume 'maven-cache:/maven-repo', 
       and then, in release.yml STEP 'Build backend (Spring Boot)' with 'volumes:- docker-forgejo_maven-cache:/root/.m2'
  
  <localRepository>/root/.m2/repository</localRepository>
  -->
  
  <mirrors>
    <mirror>
      <id>nexus</id>
      <mirrorOf>*</mirrorOf>
      <url>http://repo.oguerreiro.com/repository/maven-public/</url>
    </mirror>
  </mirrors>

  <servers>
    <server>
      <id>nexus</id>
      <username>default</username>
      <password>default#123!</password>
    </server>
    <server>
      <id>maven-releases</id>
      <username>default</username>
      <password>default#123!</password>
    </server>
    <server>
      <id>maven-snapshots</id>
      <username>default</username>
      <password>default#123!</password>
    </server>
  </servers>
</settings>
